# Orion

Orion is a telegram bot that converts voice messages into text and org-mode files.
It can be trained for better accuracy.

In order to use it, first you need to setup the project which you can just call
`./builder setup` and then you can run Orion via the builder script again with the
following command:

```bash
./builder run -owner TELEGRAM_ID -org-file ORG_FILE_PATH -model PATH_TO_MODEL -scorer PATH_TO_SCORER
```
* **TELEGRAM_ID**: Is your telegram id. It will only reply to you and tell others
to F off.

* **ORG_FILE_PATH**: Path to an `org-mode` file that **HAS TO EXIST**. Orion will append entries
to this file.
* **PATH_TO_MODEL(optoinal)**: Is the path to the model file you want to use for speech recognition.
the default points to the default model in the models directory.

* **PATH_TO_SCORER(optional)**: Is the path to the scorer to be use to speech recognition.
the default points to the default scorer in the models directory.

Models and scorers should be compatible with [Coqui](https://coqui.ai/).
