# Rigel
Rigel is the text to speech part of *Orion*. I'm too lazy and often ask Rigel to read
me the stuff I want to read. Since the voice is AI generated via Coqui's TTS it can
be a bit flaky sometimes but you can train it to be better. So far I'm happy with the
defaults of Rigel. To know more about how to train it check out [how to train a model](https://tts.readthedocs.io/en/latest/training_a_model.html).

Use Rigel only on your local network *IT IS NOT SAFE*. You can set the host and port
and the MODEL_NAME via the `.env` file in the parent directory.

In order to use it, first you need to setup the project which you can just call
`./builder setup` from the parent directory and then run Rigel by using the builder
script like:

```bash
./builder rigel [path-to-.env-file]
```

Rigel will listen to the tcp port provided by HOST and PORT vars in `.env` and
converts any text messages that gets into speech on the fly.

The protocol is pretty simple. The packet should start with 32 bit unsigned
integer that contains the length of the string that comes after it. That's it.
It will reply back with "OK". Also if it get the message "//close" then it will
close the connection to that client.

Have Fun!
